# FdoICommand Class Reference

`#include <ICommand.h>`

Inheritance diagram for FdoICommand:

[legend]

List of all members.

## Detailed Description

The FdoICommand interface defines behavior common to all commands in FDO. In order to be executed, commands must have an association to a connection. Commands can also be optionally associated with a transaction if the connection supports transactions. The parameter values collection allows values to be specified for commands that support expressions and/or filters.

Definition at line 40 of file ICommand.h.

## Public Member Functions
virtual FDO_API void | Cancel ()=0
| Attempts to cancel command execution. Cancel may be called on a separate thread after the commands Execute method has been called and before Execute has returned. If successful, an exception is thrown from the Execute method. If there is nothing to cancel, nothing happens. If command execution is in process, and the attempt to cancel fails or is not supported, an exception is thrown.
virtual FDO_API FdoInt32 | GetCommandTimeout ()=0
| Gets the number of milliseconds to wait before terminating the attempt to execute a command and generating an error. If the provider does not support the timeout capability, 0 is returned.
virtual FDO_API FdoIConnection * | GetConnection ()=0
| Gets the FdoIConnection that this command will operate on.
virtual FDO_API FdoParameterValueCollection * | GetParameterValues ()=0
| Returns an FdoParameterValueCollection. If the command requires parameters, the literal values to bind to each of those named parameters must be added to this collection.
virtual FDO_API FdoITransaction * | GetTransaction ()=0
| Gets the transaction in which the command executes.
virtual FDO_API void | Prepare ()=0
| Validates and optimizes the command for execution. Calling this method is optional, but recommended if bound to different sets of parameters and executed multiple times.
virtual FDO_API void | SetCommandTimeout (FdoInt32 value)=0
| Sets the number of milliseconds to wait before terminating the attempt to execute a command and generating an error. If the provider does not support the timeout capability, then attempting to set a timeout will result in an exception.
virtual FDO_API void | SetTransaction (FdoITransaction *value)=0
| Sets the transaction in which the command executes.
## Friends
class | FdoIConnection

The documentation for this class was generated from the following file:

- ICommand.h